import { Action, Dispatch } from 'pretur.redux';
import { Query, Ordering } from 'pretur.sync';
import UniqueReducible from '../UniqueReducible';
export default class Orderer extends UniqueReducible {
    private _field;
    private _ordering;
    private _chain;
    constructor(order?: Query.Order);
    field: string;
    ordering: Ordering;
    chain: Query.OrderChain;
    plain: Query.Order;
    reduce(action: Action<any, any>): this;
    set(dispatch: Dispatch, field: string, ordering?: Ordering, chain?: Query.OrderChain): void;
    protected cloneOverride(clone: this): void;
    protected createInstance(): this;
}
