import { Action } from 'pretur.redux';
import { Query } from 'pretur.sync';
import UniqueReducible from '../UniqueReducible';
import Includer from './Includer';
import Filterer from './Filterer';
import Attributor from './Attributor';
import Paginator from './Paginator';
import Orderer from './Orderer';
export default class Querier extends UniqueReducible {
    private _model;
    private _byId;
    private _includer;
    private _filterer;
    private _attributor;
    private _paginator;
    private _orderer;
    constructor(query: Query);
    model: string;
    byId: number;
    includer: Includer;
    filterer: Filterer;
    attributor: Attributor;
    paginator: Paginator;
    orderer: Orderer;
    plain: Query;
    reduce(action: Action<any, any>): this;
    protected cloneOverride(clone: this): void;
    protected createInstance(): this;
}
