export default class Status {
    private _synchronized;
    private _modified;
    private _removed;
    private _fresh;
    private _pending;
    constructor(synchronized?: boolean);
    synchronized: boolean;
    fresh: boolean;
    added: boolean;
    modified: boolean;
    removed: boolean;
    pending: boolean;
    setDecayed(): Status;
    setModified(): Status;
    setUnmodified(): Status;
    setRemoved(): Status;
    setPending(): Status;
    setReady(): Status;
    private clone();
}
