import { I18nBundle } from 'pretur.i18n';
import { Validator } from 'pretur.validation';
import { Action, Dispatch } from 'pretur.redux';
import StatusReporter from './StatusReporter';
declare class Value<T> extends StatusReporter {
    private _original;
    private _validator;
    private _value;
    constructor(validator?: Validator<T>, synchronized?: boolean, value?: T);
    value: T;
    original: this;
    error: I18nBundle;
    reduce(action: Action<any, any>): this;
    clear(dispatch: Dispatch): void;
    decay(dispatch: Dispatch): void;
    set(dispatch: Dispatch, value: T): void;
    protected checkValidity(): boolean;
    protected cloneOverride(clone: this): void;
    protected createInstance(): this;
}
export default Value;
