import { Action, Dispatch } from 'pretur.redux';
import { Query } from 'pretur.sync';
import UniqueReducible from '../UniqueReducible';
export default class Filterer extends UniqueReducible {
    private _filters;
    constructor(filters?: Query.Filters);
    filters: Query.Filters;
    get(field: string): any;
    plain: Query.Filters;
    reduce(action: Action<any, any>): this;
    setAll(dispatch: Dispatch, filters: Query.Filters): void;
    setFilter(dispatch: Dispatch, field: string, filter: any): void;
    clearFilter(dispatch: Dispatch, field: string): void;
    protected cloneOverride(clone: this): void;
    protected createInstance(): this;
}
