import { Action, Dispatch } from 'pretur.redux';
import { Query } from 'pretur.sync';
import UniqueReducible from '../UniqueReducible';
export default class Paginator extends UniqueReducible {
    private _skip;
    private _take;
    constructor(pagination?: Query.Pagination);
    skip: number;
    take: number;
    plain: Query.Pagination;
    reduce(action: Action<any, any>): this;
    set(dispatch: Dispatch, skip?: number, take?: number): void;
    protected cloneOverride(clone: this): void;
    protected createInstance(): this;
}
